using UnityEngine;
using System.Collections.Generic;

public class Guard : MotionNote
{
    private static Dictionary<string, Sprite> image = 
        new Dictionary<string, Sprite>
        {
            { "GuardBoth",  LoadNewSprite("Assets/MotionNotes/BG.png") },
            { "GuardLeft",  LoadNewSprite("Assets/MotionNotes/LG.png") },
            { "GuardRight", LoadNewSprite("Assets/MotionNotes/RG.png") }
        };
    public override Sprite Image
    {
        get
        {
            return image[MotionName];
        }
    }

    public Guard(string key, string type, float start, float end = 0f)
        : base(key, type, start, end)
    {
        switch (key)
        {
            case "BG":
                MotionName = "GuardBoth";
                break;
            case "LG":
                MotionName = "GuardLeft";
                break;
            case "RG":
                MotionName = "GuardRight";
                break;
        }
    }
}
