﻿using System.Collections.Generic;
using UnityEngine;

public class HandDown : MotionNote
{
    private static Dictionary<string, Sprite> image =
        new Dictionary<string, Sprite>
        {
            { "HandDownBoth",  LoadNewSprite("Assets/MotionNotes/BD.png") },
            { "HandDownLeft",  LoadNewSprite("Assets/MotionNotes/LD.png") },
            { "HandDownRight", LoadNewSprite("Assets/MotionNotes/RD.png") }
        };
    public override Sprite Image
    {
        get
        {
            return image[MotionName];
        }
    }

    public HandDown(string key, string type, float start, float end = 0f)
        : base(key, type, start, end)
    {
        switch (key)
        {
            case "BD":
                MotionName = "HandDownBoth";
                break;
            case "LD":
                MotionName = "HandDownLeft";
                break;
            case "RD":
                MotionName = "HandDownRight";
                break;
        }
    }
}
