﻿using System.Collections.Generic;
using UnityEngine;

public class HandUp : MotionNote
{
    private static Dictionary<string, Sprite> image =
        new Dictionary<string, Sprite>
        {
            { "HandUpBoth",  LoadNewSprite("Assets/MotionNotes/BU.png") },
            { "HandUpLeft",  LoadNewSprite("Assets/MotionNotes/LU.png") },
            { "HandUpRight", LoadNewSprite("Assets/MotionNotes/RU.png") }
        };
    public override Sprite Image
    {
        get
        {
            return image[MotionName];
        }
    }

    public HandUp(string key, string type, float start, float end = 0f)
        : base(key, type, start, end)
    {
        switch (key)
        {
            case "BU":
                MotionName = "HandUpBoth";
                break;
            case "LU":
                MotionName = "HandUpLeft";
                break;
            case "RU":
                MotionName = "HandUpRight";
                break;
        }
    }
}
