﻿using System.Collections.Generic;
using UnityEngine;

public class Headphone : MotionNote
{
    private static Dictionary<string, Sprite> image =
        new Dictionary<string, Sprite>
        {
            { "HeadphoneBoth",  LoadNewSprite("Assets/MotionNotes/BH.png") },
            { "HeadphoneLeft",  LoadNewSprite("Assets/MotionNotes/LH.png") },
            { "HeadphoneRight", LoadNewSprite("Assets/MotionNotes/RH.png") }
        };
    public override Sprite Image
    {
        get
        {
            return image[MotionName];
        }
    }

    public Headphone(string key, string type, float start, float end = 0f)
        : base(key, type, start, end)
    {
        switch (key)
        {
            case "BH":
                MotionName = "HeadphoneBoth";
                break;
            case "LH":
                MotionName = "HeadphoneLeft";
                break;
            case "RH":
                MotionName = "HeadphoneRight";
                break;
        }
    }
}
