using System.Collections.Generic;
using UnityEngine;

public class PushUp : MotionNote
{
    private static Dictionary<string, Sprite> image =
        new Dictionary<string, Sprite>
        {
            { "PushUpBoth",      LoadNewSprite("Assets/MotionNotes/BP.png") },
            { "PushUpLeft",      LoadNewSprite("Assets/MotionNotes/LP.png") },
            { "PushUpRight",     LoadNewSprite("Assets/MotionNotes/RP.png") },
            { "JumpPushUpBoth",  LoadNewSprite("Assets/MotionNotes/BK.png") },
            { "JumpPushUpLeft",  LoadNewSprite("Assets/MotionNotes/LK.png") },
            { "JumpPushUpRight", LoadNewSprite("Assets/MotionNotes/RK.png") }
        };
    public override Sprite Image
    {
        get
        {
            return image[MotionName];
        }
    }

    public PushUp(string key, string type, float start, float end = 0f)
        : base(key, type, start, end)
    {
        switch (key)
        {
            case "BP":
                MotionName = "PushUpBoth";
                break;
            case "LP":
                MotionName = "PushUpLeft";
                break;
            case "RP":
                MotionName = "PushUpRight";
                break;
            case "BK":
                MotionName = "JumpPushUpBoth";
                break;
            case "LK":
                MotionName = "JumpPushUpLeft";
                break;
            case "RK":
                MotionName = "JumpPushUpRight";
                break;
        }
    }
}
